    python_cls 
        /**[sphinx-begin]
        *
        *  .. method:: QGraphicsScene.creatItemGroup(items)
        *      .. param: items - list of QGraphicsItem
        *
        *   Groups all items in items into a new QGraphicsItemGroup, and returns a pointer to the group. The group is created with the common ancestor of items as its parent, and with position (0, 0). The items are all reparented to the group, and their positions and transformations are mapped to the group. If items is empty, this function will return an empty top-level QGraphicsItemGroup.
        *   QGraphicsScene has ownership of the group item; you do not need to delete it. To dismantle (ungroup) a group, call destroyItemGroup().
        *
        [sphinx-end]**/
        .def("creatItemGroup", &qgraphicsscene_create_item_group)
        /**[sphinx-begin]
        *
        *  .. method:: QGraphicsScene.destroyItemGroup(group)
        *      .. param: group - list of QGraphicsItemGroup
        *
        *   Reparents all items in group to group's parent item, then removes group from the scene, and finally deletes it. The items' positions and transformations are mapped from the group to the group's parent.
        *
        [sphinx-end]**/
        .def("destroyItemGroup", &qgraphicsscene_destroy_item_group)
        /**[sphinx-begin]
        *
        *  .. method:: QGraphicsScene.clear()
        *
        [sphinx-end]**/
        .def("clear", &qgraphicsscene_clear);

