
'''Test cases for QWebView'''

import unittest

from PySide.QtCore import *
from PySide.QtWebKit import *

from helper import UsesQApplication

myHtml = "<html> <head> </head> <body> <p>hello world</p> </body> </html>"

class TestWebFrame(UsesQApplication):

    def testFindAllFunction(self):
        url = QUrl('http://www.pudim.com.br')
        page = QWebPage()
        frame = page.mainFrame()
        frame.setHtml(myHtml)
        list = frame.findAllElements("html>p").toList()
        self.assertEqual(len(list), 0)

        list = frame.findAllElements("body>p").toList()
        self.assertEqual(len(list), 1)

if __name__ == '__main__':
    unittest.main()
